## org.gnu.gdk
Class EventMotion

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.EventMotion

public class EventMotion
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`EventMotion(Handle handle)`

Method Summary
`Device` `getDevice()`
`protected static Handle` `getDevice(Handle obj)`
`protected static int` `getIsHint(Handle obj)`
`boolean` `getSendEvent()`
`protected static boolean` `getSendEvent(Handle obj)`
`ModifierType` `getState()`
`protected static int` `getState(Handle obj)`
`protected static int` `getTime(Handle obj)`
`int` `getTimeMillis()`
`protected static int` `getType(Handle obj)` BEGINNING OF GENERATED CODE
`Window` `getWindow()`
`protected static Handle` `getWindow(Handle obj)`
`double` `getX()`
`protected static double` `getX(Handle obj)`
`double` `getXRoot()`
`protected static double` `getXRoot(Handle obj)`
`double` `getY()`
`protected static double` `getY(Handle obj)`
`double` `getYRoot()`
`protected static double` `getYRoot(Handle obj)`
`boolean` `isHint()`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventMotion

    public EventMotion(Handle handle)

Method Detail

### getWindow

    public Window getWindow()

### getSendEvent

    public boolean getSendEvent()

### getTimeMillis

    public int getTimeMillis()

### getX

    public double getX()

### getY

    public double getY()

### getState

    public ModifierType getState()

### isHint

    public boolean isHint()

### getDevice

    public Device getDevice()

### getXRoot

    public double getXRoot()

### getYRoot

    public double getYRoot()

### getType

    protected static final int getType(Handle obj)

  BEGINNING OF GENERATED CODE

### getWindow

    protected static final Handle getWindow(Handle obj)

### getSendEvent

    protected static final boolean getSendEvent(Handle obj)

### getTime

    protected static final int getTime(Handle obj)

### getX

    protected static final double getX(Handle obj)

### getY

    protected static final double getY(Handle obj)

### getState

    protected static final int getState(Handle obj)

### getIsHint

    protected static final int getIsHint(Handle obj)

### getDevice

    protected static final Handle getDevice(Handle obj)

### getXRoot

    protected static final double getXRoot(Handle obj)

### getYRoot

    protected static final double getYRoot(Handle obj)